"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
function Account(base) {
    const table = base.table('Account');
    return {
        getAccountByProvider: async ({ providerAccountId, provider, }) => table
            .select({
            filterByFormula: `AND({providerAccountId}='${providerAccountId}', {provider}='${provider}')`,
        })
            .all()
            .then(utils_1.getRecordsFields),
        createAccount: async (account) => {
            const accountFields = { ...account, userId: [account.userId] };
            return table.create([{ fields: accountFields }]).then(utils_1.getRecordsFields);
        },
        deleteAccount: async (accountId) => {
            await table.destroy(accountId);
            return null;
        },
    };
}
exports.default = Account;
