"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const airtable_1 = __importDefault(require("airtable"));
const account_1 = __importDefault(require("./account"));
const user_1 = __importDefault(require("./user"));
const session_1 = __importDefault(require("./session"));
const verification_1 = __importDefault(require("./verification"));
function AirtableModel({ apiKey, baseId, }) {
    if (!apiKey || !baseId)
        throw Error('Missing apiKey or baseId');
    const airtable = new airtable_1.default({ apiKey });
    const base = airtable.base(baseId);
    return {
        account: (0, account_1.default)(base),
        user: (0, user_1.default)(base),
        session: (0, session_1.default)(base),
        verification: (0, verification_1.default)(base),
    };
}
exports.default = AirtableModel;
