import { Base } from 'airtable';
import { AdapterSession } from 'next-auth/adapters';
export interface AirtableSession extends Omit<AdapterSession, 'expires'> {
    expires: string;
}
export default function Session(base: Base): {
    getSessionBySessionToken: (sessionToken: string) => Promise<AdapterSession | null>;
    createSession: ({ sessionToken, userId, expires, }: Omit<AdapterSession, 'id'>) => Promise<AdapterSession>;
    updateSession: (newSession: Partial<AdapterSession>) => Promise<AirtableSession | null>;
    getSession: (sessionId: string) => Promise<AdapterSession | null>;
    deleteSession: (sessionId: string) => Promise<import("airtable/lib/record")<import("airtable/lib/field_set").FieldSet>>;
};
