"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSessionBySessionToken = exports.getRecordsIds = exports.getRecordsFields = exports.getRecordFields = void 0;
const getRecordFields = (record) => record === null || record === void 0 ? void 0 : record.fields;
exports.getRecordFields = getRecordFields;
const getRecordsFields = (record) => { var _a; return (_a = record[0]) === null || _a === void 0 ? void 0 : _a.fields; };
exports.getRecordsFields = getRecordsFields;
const getRecordsIds = (records) => records.map((record) => record.id);
exports.getRecordsIds = getRecordsIds;
const getSessionBySessionToken = (sessionTable) => (sessionToken) => sessionTable
    .select({ filterByFormula: `{sessionToken} = '${sessionToken}'` })
    .all()
    .then((r) => (0, exports.getRecordsFields)(r))
    .then((fields) => {
    if (!fields)
        return null;
    return {
        ...fields,
        userId: fields.userId[0],
        expires: new Date(fields.expires),
    };
});
exports.getSessionBySessionToken = getSessionBySessionToken;
