"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
function Verification(base) {
    const table = base.table('VerificationToken');
    return {
        getVerificationTokenByIdentifierAndToken: ({ identifier, token, }) => {
            return table
                .select({
                filterByFormula: `AND({token}='${token}', {identifier}='${identifier}')`,
            })
                .all()
                .then(utils_1.getRecordsFields);
        },
        deleteVerification: async (verificationId) => table.destroy(verificationId),
        createVerification: async (data) => (table
            .create([
            { fields: { ...data, expires: data.expires.toISOString() } },
        ])
            .then(utils_1.getRecordsFields)),
    };
}
exports.default = Verification;
